<?php
/**
 * CreateTokenRequestTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Клиентская авторизация
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CustomerAuthClient;

use PHPUnit\Framework\TestCase;

/**
 * CreateTokenRequestTest Class Doc Comment
 *
 * @category    Class
 * @description CreateTokenRequest
 * @package     Ensi\CustomerAuthClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class CreateTokenRequestTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "CreateTokenRequest"
     */
    public function testCreateTokenRequest()
    {
    }

    /**
     * Test attribute "grant_type"
     */
    public function testPropertyGrantType()
    {
    }

    /**
     * Test attribute "client_id"
     */
    public function testPropertyClientId()
    {
    }

    /**
     * Test attribute "client_secret"
     */
    public function testPropertyClientSecret()
    {
    }

    /**
     * Test attribute "scope"
     */
    public function testPropertyScope()
    {
    }

    /**
     * Test attribute "username"
     */
    public function testPropertyUsername()
    {
    }

    /**
     * Test attribute "password"
     */
    public function testPropertyPassword()
    {
    }

    /**
     * Test attribute "refresh_token"
     */
    public function testPropertyRefreshToken()
    {
    }
}
